Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Tokenizer

    java.lang.Object
      |
      +--org.hsqldb.Tokenizer

class Tokenizer
extends Object

Constructor Summary
`(package private)` | `Tokenizer(java.lang.String )`

Method Summary
`(package private) void` | `back()`
`(package private) java.lang.Object` | `getAsValue()`
`(package private) java.lang.String` | `getLongNameFirst()`
`(package private) java.lang.String` | `getLongNameLast()`
`(package private) java.lang.String` | `getName()`
`(package private) java.lang.String` | `getPart(int , int )`
`(package private) int` | `getPosition()`
`(package private) java.lang.String` | `getString()`
`(package private) java.lang.String` | `getStringToken()`
`(package private) void` | `getThis(java.lang.String )`
`(package private) int` | `getType()`
`(package private) boolean` | `wasLongName()`
`(package private) boolean` | `wasName()`
`(package private) boolean` | `wasValue()`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tokenizer

    Tokenizer(java.lang.String )

Method Detail

### back

    void back()

### getAsValue

    java.lang.Object getAsValue()

### getLongNameFirst

    java.lang.String getLongNameFirst()

### getLongNameLast

    java.lang.String getLongNameLast()

### getName

    java.lang.String getName()

### getPart

    java.lang.String getPart(int , int )

### getPosition

    int getPosition()

### getString

    java.lang.String getString()

### getStringToken

    java.lang.String getStringToken()

### getThis

    void getThis(java.lang.String )

### getType

    int getType()

### wasLongName

    boolean wasLongName()

### wasName

    boolean wasName()

### wasValue

    boolean wasValue()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD